function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
  if sender==30 then
  setcurentleaf("barton_vhod",5,0);
    flags.door=true;
    flags.bell=true;
  setcurentleaf("barton_zal",5,1);
    if (not flags.first) then
      whole_darkness=false;
      DarkScreen(true);
      SetAlfa(503,0,1,1);
      speciale_action(4,503)
      flags.first=true
    return; end;
    ShowMenu(true);  
  return;end;
  if sender==28 then---- объект доехал
    if obj_id==1 then
        if skip or frame==4 then
           clear_satelite_leaf("barton_vhod");
        return;end;
      if frame==0 then
        speciale_action(2,11,true);        
        -- BlockCursor(false);
        MoveObjectX(3,1024,600,2);   
        MoveObjectX(2,-300,76,2);    
      return;end;  
    return;end;
    if obj_id==3 then
      if frame==0 then
      BlockCursor(false);
        ScaleObject(2,1,1.1)
        setcolor(3,0.6,0.6,0.6,1); 
      return;end;  
    return;end;
  return;end;  
---------------------------------------------------------------------------------------------------------------
  if sender==29 then -- отработал скейл
     if obj_id==2 then
      if frame==0 then
      Blocking2= false;
        setcolor(1100,1,1,1,1,1);
        speciale_action(2,16);
        -- speciale_action(2,11,true);
        BlockCursor(false);
      return; end;
     return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    if obj_id==11 then
      skip=true;      
      EndComiks();
    return;end;  
  return;end;
    if sender==6 then
        -- if pause_state then
    -- pause_state=false;
    -- --set_visible_object(11111,false);
    -- end;
    if not Blocking2 then
        frame=frame+1;
      if frame==1  then 
           ScaleObject(2,1.1,1)
        setcolor(2,0.6,0.6,0.6,1);
        ScaleObject(3,1,1.1)
        setcolor(3,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);                  
        set_text(1100,"251"); 
      return;end;
      if frame==2 then 
           ScaleObject(3,1.1,1)
        setcolor(3,0.6,0.6,0.6,1);
        ScaleObject(2,1,1.1)
        setcolor(2,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"252"); 
      return;end;
      if frame==3 then 
           ScaleObject(2,1.1,1)
        setcolor(2,0.6,0.6,0.6,1);
        ScaleObject(3,1,1.1)
        setcolor(3,1,1,1,1); 
        speciale_action(2,28);
        speciale_action(2,16);
        set_text(1100,"253");
      return;end;
      -- if frame==4 then 
          -- speciale_action(2,4);
          -- speciale_action(2,5);        
        -- set_text(1100,"262");
      -- return;end;
      -- if frame==5 then 
           -- ScaleObject(3,1.1,1)
        -- setcolor(3,0.6,0.6,0.6,1);
        -- ScaleObject(2,1,1.1)
        -- setcolor(2,1,1,1,1); 
        -- speciale_action(2,28);
        -- speciale_action(2,16);
        -- set_text(1100,"263");
      -- return;end;      
      if frame==4 then 
        EndComiks();
      return;end;      
    return;end;
    return;end;
end
function EndComiks()
  MoveObjectY(1,-200,-385,2);
  MoveObjectY(12,610,768,2);
  MoveObjectX(3,600,1024,1.5);   
  MoveObjectX(2,76,-350,1.5);
  speciale_action(2,11);
  SetAlfa(16,1,0,0.1);
  SetAlfa(28,1,0,0.1);
  -- setcolor(1100,1,1,1,0,1);  
  speciale_action(2,1100);
  addfade(-33,0);
  SetAlfa(-33,0,1,2.5);
end;
